org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFValidationMessagesPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFValidationMessagesPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class EEFValidationMessagesPage
    extends org.eclipse.jface.wizard.WizardPage

This optional page will let the user select the violated validation rule to fix.

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`EEFValidationMessagesPage(org.eclipse.ui.forms.IMessage[] messages)` Creates the wizard page with the message to display.
`EEFValidationMessagesPage(org.eclipse.ui.forms.IMessage[] messages, org.eclipse.ui.forms.IMessage selectedMessage)` Creates the wizard page with the message to display and one of those messages selected.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.ui.forms.IMessage` `getSelectedMessage()` Returns the selected `IMessage`.
`boolean` `isPageComplete()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Constructor Detail

#### EEFValidationMessagesPage

    public EEFValidationMessagesPage(org.eclipse.ui.forms.IMessage[] messages)

Creates the wizard page with the message to display.

Parameters:
  `messages` - The messages

#### EEFValidationMessagesPage

    public EEFValidationMessagesPage(org.eclipse.ui.forms.IMessage[] messages,
                                     org.eclipse.ui.forms.IMessage selectedMessage)

Creates the wizard page with the message to display and one of those messages selected.

Parameters:
  `messages` - The messages
  `selectedMessage` - The message to select

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

See Also:
  `IDialogPage.createControl(org.eclipse.swt.widgets.Composite)`

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
Overrides:
  `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`
See Also:
  `WizardPage.isPageComplete()`

#### getSelectedMessage

    public org.eclipse.ui.forms.IMessage getSelectedMessage()

Returns the selected `IMessage`.

Returns:
  The selected message